<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.biologicoHistorialActividad.home.createOrEditLabel"
          data-cy="HistorialActividadCreateUpdateHeading"
          v-text="$t('gatewayApp.biologicoHistorialActividad.home.createOrEditLabel')"
        >
          Create or edit a HistorialActividad
        </h2>
        <div>
          <div class="form-group" v-if="historialActividad.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="historialActividad.id" readonly />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.biologicoHistorialActividad.fechaHistorial')"
              for="historial-actividad-fechaHistorial"
              >Fecha Historial</label
            >
            <div class="d-flex">
              <input
                id="historial-actividad-fechaHistorial"
                data-cy="fechaHistorial"
                type="datetime-local"
                class="form-control"
                name="fechaHistorial"
                :class="{ valid: !$v.historialActividad.fechaHistorial.$invalid, invalid: $v.historialActividad.fechaHistorial.$invalid }"
                :value="convertDateTimeFromServer($v.historialActividad.fechaHistorial.$model)"
                @change="updateInstantField('fechaHistorial', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.biologicoHistorialActividad.cicloActividad')"
              for="historial-actividad-cicloActividad"
              >Ciclo Actividad</label
            >
            <select
              class="form-control"
              id="historial-actividad-cicloActividad"
              data-cy="cicloActividad"
              name="cicloActividad"
              v-model="historialActividad.cicloActividad"
            >
              <option v-bind:value="null"></option>
              <option
                v-bind:value="
                  historialActividad.cicloActividad && cicloActividadOption.id === historialActividad.cicloActividad.id
                    ? historialActividad.cicloActividad
                    : cicloActividadOption
                "
                v-for="cicloActividadOption in cicloActividads"
                :key="cicloActividadOption.id"
              >
                {{ cicloActividadOption.id }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.historialActividad.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./historial-actividad-update.component.ts"></script>
